### Method

# GUsb Context set_flags

since: 0.2.11

#### Declaration

    void
    g_usb_context_set_flags (
      GUsbContext* self,
      GUsbContextFlags flags
    )

#### Description

Sets the flags to use for the context. These should be set before `g_usb_context_enumerate()` is called.

Available since: 0.2.11

#### Parameters

`flags`

  Type: `GUsbContextFlags`

  Some `GUsbContextFlags`, e.g. `G_USB_CONTEXT_FLAGS_AUTO_OPEN_DEVICES`.